2004-01-07 22:25  rra

	* innd/art.c: Don't use a static buffer for creating the control
	message group to check whether we can store a control message in a
	per-type newsgroup.

2004-01-07 03:52  rra

	* samples/control.ctl: Add it-alt.*.

2004-01-05 21:40  rra

	* storage/tradindexed/tdx-group.c: msync_page is called mapcntl in
	STABLE.

2004-01-02 00:43  rra

	* storage/tradindexed/tdx-group.c: Make robust against references
	to index entries outside of the current length of the group index
	when auditing and when doing normal operations.

2004-01-02 00:24  rra

	* storage/tradindexed/tdx-group.c: Improve the auditing a little. 
	Don't get caught in infinite loops when not fixing when circular
	structure is encountered.  Update group flags based on the active
	file as well, treating the active file as canonical.  Create index
	entries for any groups listed in the active file that aren't found
	in the overview database, even though innd does this on startup
	anyway.

2004-01-01 22:54  rra

	* control/controlchan.in: Force the Unix syslog socket for Mac OS
	X, since otherwise the lack of an IP address in /etc/hosts was
	causing difficulties.

2003-12-30 19:55  rra

	* frontends/rnews.c: Provide better error messages after an
	unexpected EOF from innd.

2003-12-29 05:02  rra

	* innd/cc.c: Don't close and reopen the history database during
	reload if the server isn't running, since the history database is
	closed with pause or throttle and reopened with go.

2003-12-27 06:25  rra

	* MANIFEST, doc/man/motd.news.5, doc/pod/Makefile,
	doc/pod/motd.news.pod: Rewrite motd.news.5 in POD.

2003-12-27 06:20  rra

	* doc/pod/motd.news.pod: Rewrite motd.news.5 in POD.

2003-12-27 06:15  rra

	* doc/man/send-nntp.8: Don't try to document both send-nntp and
	send-ihave on the same line; instead, break them into two different
	lines in the SYNOPSIS.	Requested by Eric Raymond.

2003-12-27 04:18  rra

	* samples/storage.conf: Replace with a sample file that does
	something sensible by default (stores all articles in tradspool).

2003-12-27 04:17  rra

	* scripts/rc.news.in: Make sure there's always a newline after the
	shutdown message for INN, even if it exits quickly.

2003-12-11 07:03  rra

	* samples/control.ctl: Update to current upstream.  Picks up new
	entries for x-privat.*, syd.*, bne.*, and canb.*.  Update melb.*. 
	Fix the key signature for mensa.*.  Include the new microsoft.*
	rule that supports signed control messages.

2003-12-10 09:02  rra

	* nnrpd/misc.c: Glom was using strlcat into newly allocated memory
	without making sure that it's a valid empty string to start with. 
	Problem reported by Tommy van Leeuwen (this broke XPAT).

2003-10-20 01:15  rra

	* doc/man/ctlinnd.8: Document that renumber does not decrease the
	hi-water mark.

2003-10-20 01:12  rra

	* innd/ng.c: Refuse to ever lower the high-water mark when
	renumbering.  This should help further with problems caused by
	synchronization issues between overview and the active file.

2003-10-18 05:56  rra

	* doc/man/batcher.8: Note that the first argument can also be a
	storage API token.  Patch from Christian Garbs.

2003-10-18 05:49  rra

	* backends/actsyncd.in: Support the host:port syntax that the
	actsync man page says that we support.	Patch based on a patch from
	Marco d'Itri.

2003-10-18 05:28  rra

	* expire/makehistory.c: Fix makehistory -a by only passing
	HIS_CREAT when -a is not given.

2003-10-18 04:53  rra

	* README, doc/pod/readme.pod: Update the suck URL.

2003-10-16 03:22  rra

	* frontends/mailpost.in: Don't loop forever on articles with a
	header and no body or blank line after the headers.  Reported by
	Andrea Marrosu.

2003-10-16 01:51  rra

	* Makefile: Install the news certificate mode 600, which is what
	nnrpd actually requires.  Reported by Sergio Rodriguez de Guzman
	Martinez.

2003-10-15 00:09  rra

	* authprogs/auth_krb5.c: Don't put a space before the name of the
	authenticated user.

2003-09-15 07:32  rra

	* nnrpd/post.h: Fix the numbering of HDR__CC and down, which were
	off by one.  Reported by Ka'roly Lo~rentey.

2003-09-15 07:23  rra

	* README, doc/pod/readme.pod: Remove the note about this version
	being the current development version and potentially unstable.

2003-09-15 06:57  rra

	* doc/: man/ovdb.5, pod/ovdb.pod: Insert the information about
	putting the database on multiple disks from the FAQ into here
	instead, since it's not actually a FAQ and it should be in the
	regular documentation.

2003-09-08 04:37  rra

	* INSTALL, doc/pod/install.pod: Remove the mention of domain in
	inn.conf, since this almost never needs to be set and is confusing.

2003-09-08 04:36  rra

	* doc/: man/inn.conf.5, pod/inn.conf.pod: Clarify that
	NNTP-Posting-Host can't be obfuscated internally by INN, and
	improve the reference to readers.conf for changing the domain in
	message IDs.

2003-09-08 04:35  rra

	* doc/: pod/nnrpd.pod, man/nnrpd.8: Improve the documentation of
	when readers.conf and other configuration files are read and update
	the reference for AUTHINFO (the protocol section still needs work).

2003-09-08 04:31  rra

	* doc/: man/readers.conf.5, pod/readers.conf.pod: Mention more
	information about when readers.conf is re-read, improve the
	documentation of virtualhost, and add an example of a public
	server.

2003-09-08 02:53  rra

	* nnrpd/tls.c: Produce better error messages for bad ownership or
	permissions on SSL key files.  Patch suggested by cira.

2003-09-08 02:41  rra

	* INSTALL, doc/pod/install.pod: Mention cycbuffupdate in the
	section on cycbuff.conf.

2003-09-03 02:58  rra

	* scripts/innupgrade.in: Allow innupgrade to take a full path to a
	file.  (Just don't put a period before the temporary file name for
	the fixed version; we don't really need to make the temporary file
	hide from regular ls, and it's less confusing this way.)  Reported
	by Marco d'Itri.

2003-09-03 02:53  rra

	* backends/news2mail.in: This script uses the three-argument form
	of open and therefore requires at least Perl 5.6.0.

2003-09-02 06:53  rra

	* NEWS, doc/pod/news.pod: Add a note to the 2.3 upgrade
	instructions talking about creating a storage.conf file for INN 2.2
	users.

2003-09-02 05:12  rra

	* INSTALL, doc/pod/install.pod: Add a mention of
	--enable-largefiles in the section on cycbuff.conf.

2003-09-02 05:08  rra

	* INSTALL, doc/pod/install.pod: Add documentation for
	--enable-largefiles.

2003-09-02 04:39  rra

	* configure, configure.in: Simplify the check for sendmail
	considerably.  Just look for it on PATH or in /usr/sbin or /usr/lib
	if not found there, without requiring people to use --with-sendmail
	if it's in a standard location.  That's the way that pretty much
	every other package does it.

2003-08-12 14:59  rra

	* configure.in: Search for the BSD ports location of BerkeleyDB
	4.1.

2003-08-08 22:08  vinocur

	* doc/pod/Makefile: Add a target for `make clean`

2003-08-08 22:02  vinocur

	* doc/: man/ckpasswd.8, man/readers.conf.5, pod/ckpasswd.pod,
	pod/readers.conf.pod: Typo fixes (from Debian bug reports).

2003-07-12 21:50  vinocur

	* storage/cnfs/cnfs.c: On platforms that lack EOVERFLOW, we can't
	special-case for failing due to lack of largefile support.  The
	fallback of using the system's error string is fine, but the code
	needs to compile even if EOVERFLOW is missing.

2003-07-12 21:42  vinocur

	* backends/news2mail.in: Fix a bug that would send mail to all
	addresses not just good ones, courtesy of Geoff Gibbs.

2003-07-12 19:42  rra

	* storage/cnfs/cnfs.c: Make MS_ASYNC disappear on platforms that
	don't have it.

2003-07-12 19:40  rra

	* innd/art.c: Handle messages with a missing Path header correctly.

2003-07-12 19:27  rra

	* MANIFEST: Add bogus newsgroup test data for overview tests.

2003-07-12 19:27  rra

	* doc/: man/newsfeeds.5, pod/newsfeeds.pod: Recommend always using
	full paths in newsfeeds.

2003-07-12 19:26  rra

	* doc/: man/makehistory.8, pod/makehistory.pod: Make it clearer
	that the ovdb processes must be running when rebuilding overview
	for ovdb.

2003-07-12 19:16  rra

	* doc/: man/ckpasswd.8, pod/ckpasswd.pod: Add instructions for how
	to test.

2003-07-12 19:15  rra

	* doc/man/: news.daily.8, newslog.5: newslog(8) does not exist.

2003-07-12 19:14  rra

	* support/mksystem: Expose the results of the msync probe so that
	inn/mmap.h can use them.

2003-07-12 19:14  rra

	* include/inn/mmap.h: Make the third argument of mapcntl go away if
	we're on a platform that doesn't take three arguments to msync.

2003-07-12 19:13  rra

	* lib/daemonize.c: Don't use TIOCNOTTY if we have setsid().  It was
	causing errors on *BSD.

2003-07-12 19:12  rra

	* lib/: qio.c, readin.c: Allow for EINTR when reading.

2003-07-12 19:12  rra

	* scripts/rc.news.in: Remove the various PID files for INN
	supporting programs on an rc.news stop.

2003-07-12 19:11  rra

	* scripts/innupgrade.in: Typo fix in status message.

2003-07-12 19:11  rra

	* scripts/innreport.in: Generate valid HTML.  Patch from Marco
	d'Itri.

2003-07-12 19:11  rra

	* Makefile.global.in, site/Makefile: Add a new installation command
	for files that should use the same umask and mode as files written
	by the server, and use that for installing the sample active and
	newsgroups files and the empty active.times file.

2003-07-12 19:08  rra

	* HACKING, doc/pod/hacking.pod: Note that only the default CVSup
	mode is supported.

2003-07-12 19:07  rra

	* tests/overview/: tradindexed-t.c, data/bogus: Add additional
	tests with newsgroup names that are malformed in various
	problematic ways.

2003-07-12 19:07  rra

	* tests/overview/data/bogus: file bogus was initially added on
	branch STABLE-2_4.

2003-07-12 19:07  rra

	* storage/tradindexed/tdx-data.c: When building paths, handle
	groups that contain multiple consecutive periods or embedded
	slashes, just for robustness and to prevent any odd things from
	happening.

2003-06-21 22:52  rra

	* samples/control.ctl: Add france.* and update Marco d'Itri's
	address.

2003-06-19 22:03  vinocur

	* storage/cnfs/cnfs.c: Special-case for EOVERFLOW and give an error
	message indicating that the problem is probably CNFS buffer > 2 GB
	without having compiled in largefile support.

2003-06-04 02:59  rra

	* nnrpd/nnrpd.c: buff is needed for OpenSSL builds.

2003-05-31 23:28  rra

	* samples/control.ctl: Update the relcom.* sender to reflect what's
	currently used and limit Big Eight checkgroups to just the Big
	Eight hierarchies.

2003-05-31 19:48  rra

	* backends/actsync.c, expire/convdate.c, expire/makehistory.c,
	innd/cc.c, innd/chan.c, innd/site.c, innd/status.c,
	innfeed/configfile.y, innfeed/main.c, lib/parsedate.y,
	nnrpd/misc.c, nnrpd/newnews.c, nnrpd/nnrpd.c, nnrpd/perm.c,
	storage/overdata.c, storage/buffindexed/buffindexed.c,
	storage/cnfs/cnfs.c, storage/timehash/timehash.c,
	storage/tradindexed/tdx-group.c: Warning patch from Ilya Kovalenko.
	 Gets rid of all the remaining warnings under -Wall on Solaris (and
	hopefully also OpenBSD).  Mostly unused variables and format
	mismatches.

2003-05-31 19:48  rra

	* authprogs/smbval/rfcnb-util.c: portable/socket.h doesn't include
	netdb.h on the 2.4 branch.

2003-05-31 19:41  rra

	* storage/ovdb/ovdb.c: Fix compiler warnings, some of which only
	show up with BerkeleyDB 2.x.

2003-05-31 19:24  rra

	* authprogs/smbval/: rfcnb-priv.h, rfcnb-util.c, rfcnb.h,
	session.c, smbencrypt.c, smblib-priv.h, smblib-util.c, smblib.c,
	smblib.h, valid.c: This code is still a mess, but at least it now
	compiles under -Wall without warnings.

2003-05-31 19:22  rra

	* authprogs/auth_krb5.c: Remove unused variable.

2003-05-31 18:35  rra

	* backends/ninpaths.c: Fix various format warnings and use the
	CTYPE macro.

2003-05-31 18:21  rra

	* frontends/ovdb_stat.c: Use the right type for string values
	returned to getval.

2003-05-31 18:19  rra

	* frontends/ovdb_init.c: Fix upgrade_environment to always return a
	value.

2003-05-31 14:32  rra

	* doc/: man/inn.conf.5, pod/inn.conf.pod: For bindaddress6, warn
	that the value will generally have to be quoted.

2003-05-19 02:01  rra

	* .cvsignore: Ignore CHANGES and ChangeLog, which are handled
	specially by the release process.

2003-05-19 02:00  rra

	* CONTRIBUTORS, backends/batcher.c, backends/innxbatch.c,
	history/his.c, history/hisv6/hisv6.c, innd/art.c,
	storage/cnfs/cnfs.c: Unused variable and missing include warning
	fixes, from Ilya Kovalenko.

2003-05-19 01:59  rra

	* storage/Make.methods: Update the default file with the
	tradindexed/tdx-util.o rule.

2003-05-11 19:40  rra

	* innd/: rc.c, status.c: Include portable/socket.h instead of
	arpa/inet.h directly, to handle the order requirements on some
	platforms.

2003-05-11 19:33  rra

	* storage/tradindexed/ovmethod.mk: tdx-util.o should not be built
	by libtool, since otherwise --disable-static confuses the heck out
	of things.

2003-05-11 19:23  rra

	* authprogs/smbval/session.c: Include netinet/in.h before
	netinet/tcp.h, required by UnixWare.

2003-05-11 19:20  rra

	* storage/ovdb/ovdb.c: Berkeley DB 2.x doesn't have DB_PRIVATE.

2003-05-10 20:59  rra

	* Makefile.global.in: Bump revision to 2.4.1.

2003-05-06 06:12  rra

	* samples/moderators: fj.* is another exception.

2003-05-05 21:47  rra

	* include/Makefile: Install inn/*.h include files in
	PATHINCLUDE/inn/*.h, not inn/inn/*.h.

2003-05-05 04:13  rra

	* doc/compliance-nntp: Remove the point about articles without
	message IDs as the current draft now outlaws them entirely.  Update
	the one about OVER with bad ranges to reflect the current draft,
	and change the point about HDR with message IDs to instead note
	that the first word of the return should be 0 instead of the
	message ID.

2003-05-05 04:00  rra

	* NEWS, doc/pod/news.pod: Add a reference to the tdx-util man page
	and capitalize the changes section for the Perl and Python hooks.

2003-05-05 02:50  rra

	* INSTALL, doc/pod/install.pod: Update to reflect that INN 2.3 can
	also be upgraded using make update, and note that if using make
	update to upgrade from INN 2.3, the administrator should also look
	at the new files in samples.

2003-05-05 02:37  rra

	* Makefile: Also create PATHINCLUDE on make install.

2003-05-04 21:41  rra

	* backends/Makefile, lib/Makefile, nnrpd/Makefile,
	storage/Makefile: Update dependencies.

2003-05-04 21:40  rra

	* MANIFEST: Add nnrpd/list.c.

2003-05-04 20:52  rra

	* backends/send-uucp.in: Add the ctlinnd and shlock subs from
	controlchan.

2003-05-04 20:52  rra

	* doc/man/send-uucp.8: Add documentation for the site:host
	parameter.

2003-05-04 20:48  rra

	* CONTRIBUTORS: Add Frank McConnell.

2003-05-04 20:47  rra

	* backends/send-uucp.in: Add support for site:host specifications
	giving a different UUCP host than the name of the feed in
	newsfeeds.  Patch from Frank McConnell.

2003-05-04 20:39  rra

	* INSTALL, doc/pod/install.pod: Note that tradindexed is the most
	tested overview method.

2003-05-04 20:39  rra

	* NEWS, doc/pod/news.pod: Add a mention of ovdb instability and
	setting readserver to true in ovdb.conf.

2003-05-04 20:36  rra

	* doc/: pod/ovdb.pod, man/ovdb.5: Update somewhat, noting that ovdb
	works with version 3 and 4 now and removing the link to Heath's web
	page for current information since it's no longer current.  Mention
	under readserver that setting it may increase stability.

2003-05-03 03:31  rra

	* Makefile.global.in: Add an additional comment noting that DESTDIR
	should have a trailing slash.

